org.gradle.plugin.repository

## Interface MavenPluginRepository

- All Superinterfaces:
    AuthenticationSupported, PluginRepository

      @Incubating
      public interface MavenPluginRepository
      extends PluginRepository, AuthenticationSupported

  Represents a Maven repository which contains Gradle plugins.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getUrl()` The base URL of this repository.
    `void` | `setUrl(Object url)` Sets the base URL of this repository.

    - ### Methods inherited from interface org.gradle.api.artifacts.repositories.AuthenticationSupported

      `authentication, credentials, credentials, getAuthentication, getCredentials, getCredentials`

- - ### Method Detail

    - #### getUrl

          URI getUrl()

      The base URL of this repository. This URL is used to find Gradle plugins.
      Returns:
        The URL.

    - #### setUrl

          void setUrl(Object url)

      Sets the base URL of this repository. This URL is used to find Gradle plugins.

      The provided value is evaluated relative to the build's directory. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the directory of the `settings.gradle` file in which this repository is declared.

      Parameters:
        `url` - The base URL.